Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::addon::compliance::PreflightSettingData Class Reference

Inherits Object.

## Public Types
enum | LibraryType { e_LibraryTypeFoxit = 0, e_LibraryTypePDFStandards = 1, e_LibraryTypePrepressColorTransparency = 2 }
| Enumeration for the preflight library type. More...
enum | OperateType { e_OperateTypeProfiles = 0, e_OperateTypeSingleChecks = 1, e_OperateTypeSingleFixups = 2 }
| Enumeration for the preflight operate type. More...

## Public Member Functions
| PreflightSettingData ()
| Constructor.
| PreflightSettingData (const wchar_t *preflight_key, OperateType operate_type, const wchar_t *src_pdf_path, const wchar_t *saved_pdf_path, int first_page_index, int last_page_index)
| Constructor, with parameters. More...
PreflightSettingData & | operator= (const PreflightSettingData &data)
| Assign operator. More...

## Public Attributes
int | first_page_index
| Index of the first page to be analyzed or fixed, staring from 0. Default value: 0.
int | last_page_index
| Index of the last page to be analyzed or fixed. If this is -1, that means all the pages of the source PDF file will be analyze, and parameter first_page_index will be ignored. Default value: -1.
OperateType | operate_type
| The preflight operate type. Please refer to values starting from PreflightSettingData::e_OperateTypeProfiles and this should be one of these values.
WString | preflight_key
| The preflight key. Retrieve available keys via Preflight::GetItemKeysArray.
WString | saved_pdf_path
| A complete path for saving the PDF file generated by the preflight analysis and fixup process.
WString | src_pdf_path
| A complete path of source PDF file to be analyze and fix.

## Detailed Description

This class represents setting data for preflight analysis and fixup operations.

## Member Enumeration Documentation

## ◆ LibraryType

enum foxit::addon::compliance::PreflightSettingData::LibraryType

Enumeration for the preflight library type.

Values of this enumeration should be used alone.

Enumerator
e_LibraryTypeFoxit | Preflight library type: Foxit.
e_LibraryTypePDFStandards | Preflight library type: Standards.
e_LibraryTypePrepressColorTransparency | Preflight library type: Prepress,Color and Transparency.

## ◆ OperateType

enum foxit::addon::compliance::PreflightSettingData::OperateType

Enumeration for the preflight operate type.

Values of this enumeration should be used alone.

Enumerator
e_OperateTypeProfiles | Opearte type: profiles.
e_OperateTypeSingleChecks | Opearte type: single checks.
e_OperateTypeSingleFixups | Opearte type: single fixups.

## Constructor & Destructor Documentation

## ◆ PreflightSettingData()

foxit::addon::compliance::PreflightSettingData::PreflightSettingData | ( | const wchar_t * | preflight_key,
|  | OperateType | operate_type,
|  | const wchar_t * | src_pdf_path,
|  | const wchar_t * | saved_pdf_path,
|  | int | first_page_index,
|  | int | last_page_index
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | preflight_key | The preflight key. Retrieve available keys via Preflight::GetItemKeysArray.
  [in] | operate_type | The preflight operate type. Please refer to values starting from PreflightSettingData::e_OperateTypeProfiles and this should be one of these values.
  [in] | src_pdf_path | A complete path of source PDF file to be analyzed or fixed. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving pdf file after analyzing and fixing. This should not be an empty string.
  [in] | first_page_index | Index of the first page to be analyzed or fixed, staring from 0. Default value: 0.
  [in] | last_page_index | Index of the last page to be analyzed or fixed. If this is -1, that means all the pages of the source PDF file will be analyzed or fixed, and parameter first_page_index will be ignored. Default value: -1.

Returns
  None.

## Member Function Documentation

## ◆ operator=()

PreflightSettingData& foxit::addon::compliance::PreflightSettingData::operator= | ( | const PreflightSettingData & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another preflight setting data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.